
local On = CreateClientConVar( "qhud_compass", 1, true, true )
local a = 0

local function qHUDCompass()
	if( !LocalPlayer():Alive() ) then return end
	if( On:GetInt() == 1 ) then
		a = math.Clamp( a + 1, 0, 200 )
	else
		a = math.Clamp( a - 1, 0, 200 )
	end

	//Variables
	local pl = LocalPlayer()
	local yawang = tonumber( pl:GetAngles().y )
	local rottex = surface.GetTextureID( "qhud/qhud_compass" )
	local nottex = surface.GetTextureID( "VGUI/loading-logo" )

	//Logo
	surface.SetDrawColor( 255, 255, 255, a * 1.275 )
	surface.SetTexture( nottex )
	surface.DrawTexturedRect( ScrW() - 85, ( ScrH() - 84 ), 64, 64 )

	//Compass
	surface.SetDrawColor( 255, 255, 255, a )
	surface.SetTexture( rottex )
	surface.DrawTexturedRectRotated( ScrW() - 52, ( ScrH() - 52 ), 72, 72, ( -yawang ) )

	//Direction
	if yawang >= 67.5 and yawang <= 112.5 then
		draw.SimpleText( "N", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= 112.5 and yawang <= 157.5 then
		draw.SimpleText( "NW", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= 157.5 and yawang <= 180 or yawang >= -180 and yawang <= -157.5 then
		draw.SimpleText( "W", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= -157.5 and yawang <= -112.5 then
		draw.SimpleText( "SW", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= -112.5 and yawang <= -67.5 then
		draw.SimpleText( "S", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= -67.5 and yawang <= -22.5 then
		draw.SimpleText( "SE", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= -22.5 and yawang <= 22.5 then
		draw.SimpleText( "E", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	elseif yawang >= 22.5 and yawang <= 67.5 then
		draw.SimpleText( "NE", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	else
		draw.SimpleText( "???", "ScoreboardText", ScrW() - 100, ( ScrH() - 52 ), Color( 25, 25, 25, a * 1.275 ), 1, 1 )
	end
end
hook.Add( "HUDPaint", "qHUDCompass", qHUDCompass )

