
local LuapadEx  = ( ( file.Exists( "../addons/Luapad/info.txt" ) ) and ( file.Exists( "../addons/Luapad/lua/autorun/luapad.lua" ) ) and ( file.Exists( "../addons/Luapad/lua/autorun/luapad_editor.lua" ) ) )
local FireboxEx = ( ( file.Exists( "../addons/firebox/info.txt" ) ) and ( file.Exists( "../addons/firebox/lua/autorun/client/firebox.lua" ) ) and ( file.Exists( "../addons/firebox/lua/autorun/server/firebox.lua" ) ) )

local function qHUDBase()
	if( LocalPlayer():GetActiveWeapon() == "Camera" ) then return end

	//Variables
	local pl = LocalPlayer()
	local bgcolor = Color( 20, 20, 20, 100 )
	local fps = math.Round( 1 / RealFrameTime(), 0 )
	local ping = pl:Ping()

	//Box
	DrawBox( 0, 0, ScrW(), 36, bgcolor, 1 )

	//Logo
	surface.SetTexture( surface.GetTextureID( "vgui/loading-logo" ) )
	surface.SetDrawColor( 255, 255, 255, 255 )
	surface.DrawTexturedRect( 1, 1, 33, 33 )
	surface.SetTexture( surface.GetTextureID( "vgui/loading-rotate" ) )
	surface.SetDrawColor( 255, 255, 255, 255 )
	surface.DrawTexturedRectRotated( 17.5, 17.5, -33, 33, CurTime() * -90 )

	//Time
	draw.SimpleText( os.date( "%A, %H:%M:%S" ), "DefaultSmall", 42, 7, Color( 255, 255, 255, 255 ), 0, 0 )
	draw.SimpleText( os.date( "%m/%d/20%y" ), "DefaultSmall", 56.4, 19, Color( 255, 255, 255, 255 ), 0, 0 )

	//Ping
	draw.RoundedBox( 0, 140, 9, 150, 18, Color( 125, 125, 125, 180 ) )
	draw.RoundedBox( 0, 140, 9, math.Clamp( ping, 0, 100 ) * 1.50, 18, Color( 204, 255, 0, 180 ) )
	surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
	surface.DrawOutlinedRect( 140, 9, 150, 18 )
	draw.SimpleText( "Ping: "..ping, "TabLarge", 140 + 150 / 2 - surface.GetTextSize( "Ping: "..ping ) / 2, 11, Color( 255, 255, 255, 255 ), 0, 0 )

	//FPS
	draw.RoundedBox( 0, 320, 9, 150, 18, Color( 125, 125, 125, 180 ) )
	draw.RoundedBox( 0, 320, 9, math.Clamp( fps, 0, 100 ) * 1.50, 18, Color( 0, 150, 255, 180 ) )
	surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
	surface.DrawOutlinedRect( 320, 9, 150, 18 )
	draw.SimpleText( "FPS: "..fps, "TabLarge", 320 + 150 / 2 - surface.GetTextSize( "FPS: "..fps ) / 2, 11, Color( 255, 255, 255, 255 ), 0, 0 )

	//Text
	draw.SimpleText( "For enable/disable Cursor press F3", "TabLarge", 500, 11, Color( 255, 255, 255, 255 ), 0, 0 )

	//Browser Button
	draw.RoundedBox( 0, ScrW() - 124, 1, 100, 17, Color( 68, 87, 101, 180 ) )
	if CursorPos( ScrW() - 124, 1, 100, 17 ) then
		draw.RoundedBox( 0, ScrW() - 124, 1, 100, 17, Color( 255, 255, 255, 60 ) )
		if input.IsMouseDown( MOUSE_LEFT ) then
			draw.RoundedBox( 0, ScrW() - 124, 1, 100, 17, Color( 0, 55, 195, 60 ) )
		end
	end
	if FireboxEx then
		draw.SimpleText( "Firebox Browser", "Default", ScrW() - 114, 8, Color( 255, 255, 255, 255 ), TEXT_ALIGN_LEFT, TEXT_ALIGN_CENTER )
	else
		draw.SimpleText( "Web Browser", "Default", ScrW() - 108, 8, Color( 255, 255, 255, 255 ), TEXT_ALIGN_LEFT, TEXT_ALIGN_CENTER )
	end
	
	//Settings Button
	draw.RoundedBox( 0, ScrW() - 228, 1, 100, 17, Color( 68, 87, 101, 180 ) )
	draw.SimpleText( "Settings", "Default", ScrW() - 195, 8, Color( 255, 255, 255, 255 ), TEXT_ALIGN_LEFT, TEXT_ALIGN_CENTER )
	if CursorPos( ScrW() - 228, 1, 100, 17 ) then
		draw.RoundedBox( 0, ScrW() - 228, 1, 100, 17, Color( 255, 255, 255, 60 ) )
		if input.IsMouseDown( MOUSE_LEFT ) then
			draw.RoundedBox( 0, ScrW() - 228, 1, 100, 17, Color( 0, 55, 195, 60 ) )
		end
	end

	//Luapad Button
	if LuapadEx or Luapad then 
		draw.RoundedBox( 0, ScrW() - 332, 1, 100, 17, Color( 68, 87, 101, 180 ) )
		draw.SimpleText( "Luapad", "Default", ScrW() - 299, 8, Color( 255, 255, 255, 255 ), TEXT_ALIGN_LEFT, TEXT_ALIGN_CENTER )
		if CursorPos( ScrW() - 332, 1, 100, 17 ) then
			draw.RoundedBox( 0, ScrW() - 332, 1, 100, 17, Color( 255, 255, 255, 60 ) )
			if input.IsMouseDown( MOUSE_LEFT ) then
				draw.RoundedBox( 0, ScrW() - 332, 1, 100, 17, Color( 0, 55, 195, 60 ) )
			end
		end
	end
end
hook.Add( "HUDPaint", "qHUDBase", qHUDBase )

local function OpenDerma()
	//Browser Button
	if FireboxEx then
		if CursorPos( ScrW() - 124, 1, 100, 17 ) then
			RunConsoleCommand( "firebox" )
		end
	else
		if CursorPos( ScrW() - 124, 1, 100, 17 ) then
			RunConsoleCommand( "qhud_web" )
		end
	end
	
	//Settings Button
	if CursorPos( ScrW() - 228, 1, 100, 17 ) then
		RunConsoleCommand( "qhud_settings" )
	end

	//Luapad Button
	if LuapadEx or Luapad then 
		if CursorPos( ScrW() - 332, 1, 100, 17 ) then
			RunConsoleCommand( "luapad" )
		end
	end
end
hook.Add( "GUIMouseReleased", "OpenDerma", OpenDerma )

local function qHUD()
	if( !LocalPlayer():Alive() ) then return end
	if( LocalPlayer():GetActiveWeapon() == NULL ) then return end

	//Variables
	local pl = LocalPlayer()
	local bgcolor = Color( 20, 20, 20, 100 )
	local speed = 0
	if pl:InVehicle() then
		speed = math.Round( pl:GetVehicle():GetVelocity():Length() / 25.2, 0 )
	else
		speed = math.Round( pl:GetVelocity():Length() / 25.2, 0 )
	end
	local health = pl:Health()
	local armor = pl:Armor()
	local clip1 = pl:GetActiveWeapon():Clip1()
	local clip2 = pl:GetAmmoCount( pl:GetActiveWeapon():GetSecondaryAmmoType() )
	local mclip = pl:GetAmmoCount( pl:GetActiveWeapon():GetPrimaryAmmoType() )
	surface.SetFont( "TabLarge" )

	//Box
	DrawBox( 5, ScrH() - 99, 160, 94, bgcolor, 1 )

	//Speed
	draw.RoundedBox( 0, 10, ScrH() - 94, 150, 18, Color( 125, 125, 125, 180 ) )
	draw.RoundedBox( 0, 10, ScrH() - 94, math.Clamp( speed, 0, 100 ) * 1.50, 18, Color( 0, 175, 15, 180 ) )
	surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
	surface.DrawOutlinedRect( 10, ScrH() - 94, 150, 18 )
	draw.SimpleText( speed.." MPH", "TabLarge", 10 + 150 / 2 - surface.GetTextSize( speed.." MPH" ) / 2, ScrH() - 92, Color( 255, 255, 255, 255 ), 0, 0 )

	//Health
	draw.RoundedBox( 0, 10, ScrH() - 72, 150, 18, Color( 125, 125, 125, 180 ) )
	draw.RoundedBox( 0, 10, ScrH() - 72, math.Clamp( health, 0, 100 ) * 1.50, 18, Color( 195, 0, 0, 180 ) )
	surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
	surface.DrawOutlinedRect( 10, ScrH() - 72, 150, 18 )
	draw.SimpleText( "Health: "..health, "TabLarge", 10 + 150 / 2 - surface.GetTextSize( "Health: "..health ) / 2, ScrH() - 70, Color( 255, 255, 255, 255 ), 0, 0 )

	//Armor
	draw.RoundedBox( 0, 10, ScrH() - 50, 150, 18, Color( 125, 125, 125, 180 ) )
	draw.RoundedBox( 0, 10, ScrH() - 50, math.Clamp( armor, 0, 100 ) * 1.50, 18, Color( 255, 165, 0, 180 ) )
	surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
	surface.DrawOutlinedRect( 10, ScrH() - 50, 150, 18 )
	draw.SimpleText( "Armor: "..armor, "TabLarge", 10 + 150 / 2 - surface.GetTextSize( "Armor: "..armor ) / 2, ScrH() - 48, Color( 255, 255, 255, 255 ), 0, 0 )

	//Ammo
	if pl:GetActiveWeapon():GetClass() == "weapon_frag" or pl:GetActiveWeapon():GetClass() == "weapon_rpg" then
		draw.RoundedBox( 0, 10, ScrH() - 28, 150, 18, Color( 125, 125, 125, 180 ) )
		draw.RoundedBox( 0, 10, ScrH() - 28, 150, 18, Color( 59, 59, 59, 180 ) )
		surface.SetDrawColor( Color( 65, 65, 65, 180 ))
		surface.DrawOutlinedRect( 10, ScrH() - 28, 150, 18 )
		draw.SimpleText( "["..mclip.."]", "TabLarge", 10 + 150 / 2 - surface.GetTextSize( "["..mclip.."]" ) / 2, ScrH() - 26, Color( 255, 255, 255, 255 ), 0, 0 )
	elseif pl:GetActiveWeapon():GetClass() == "weapon_physgun" or pl:GetActiveWeapon():GetClass() == "weapon_physcannon" or pl:GetActiveWeapon():GetClass() == "weapon_crowbar" or pl:GetActiveWeapon():GetClass() == "gmod_tool" then
		draw.RoundedBox( 0, 10, ScrH() - 28, 150, 18, Color( 125, 125, 125, 180 ) )
		draw.RoundedBox( 0, 10, ScrH() - 28, 150, 18, Color( 59, 59, 59, 180 ) )
		surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
		surface.DrawOutlinedRect( 10, ScrH() - 28, 150, 18 )
		draw.SimpleText( "None", "TabLarge", 10 + 150 / 2 - surface.GetTextSize( "None" ) / 2, ScrH() - 26, Color( 255, 255, 255, 255 ), 0, 0 )
	else
		draw.RoundedBox( 0, 10, ScrH() - 28, 150, 18, Color( 125, 125, 125, 180 ) )
		draw.RoundedBox( 0, 10, ScrH() - 28, 150, 18, Color( 59, 59, 59, 180 ) )
		surface.SetDrawColor( Color( 65, 65, 65, 180 ) )
		surface.DrawOutlinedRect( 10, ScrH() - 28, 150, 18 )
		draw.SimpleText( "["..clip1.."/"..mclip.."] "..clip2, "TabLarge", 10 + 150 / 2 - surface.GetTextSize( "["..clip1.."/"..mclip.."] "..clip2 ) / 2, ScrH() - 26, Color( 255, 255, 255, 255 ), 0, 0 )
	end
end
hook.Add( "HUDPaint", "qHUD", qHUD )

local function qHUDHideHud( hud )
	for k, v in pairs{ "CHudHealth", "CHudBattery", "CHudAmmo", "CHudSecondaryAmmo" } do 
		if hud == v then 
			return false 
		end
	end 
end
hook.Add( "HUDShouldDraw", "qHUDHideHud", qHUDHideHud )

