
local PANEL = {}

/*---------------------------------------------------------
   Name: 
---------------------------------------------------------*/
function PANEL:Init()
	self:SetCursor( "hand" )
end

/*---------------------------------------------------------
   Name: 
---------------------------------------------------------*/
function PANEL:DoClick( x, y )
	if ( !self:GetParent().Player || LocalPlayer() == self:GetParent().Player ) then return end

	self:DoCommand( self:GetParent().Player )
	timer.Simple( 0.1, SCOREBOARD.UpdateScoreboard, SCOREBOARD )
end

/*---------------------------------------------------------
   Name: Paint
---------------------------------------------------------*/
function PANEL:Paint()
	local bgColor = Color( 0, 0, 0, 10 )

	if ( self.Selected ) then
		bgColor = Color( 0, 200, 255, 255 )
	elseif ( self.Armed ) then
		bgColor = Color( 255, 255, 0, 255 )
	end

	draw.RoundedBox( 4, 0, 0, self:GetWide(), self:GetTall(), bgColor )

	draw.SimpleText( self.Text, "DefaultSmall", self:GetWide() / 2, self:GetTall() / 2, Color( 0, 0, 0, 150 ), TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER )

	return true
end

vgui.Register( "SpawnMenuAdminButton", PANEL, "Button" )

/*   PlayerKickButton */

PANEL = {}
PANEL.Text = "Kick"

/*---------------------------------------------------------
   Name: DoCommand
---------------------------------------------------------*/
function PANEL:DoCommand( ply )
	RunConsoleCommand( "kickid2", ply:UserID(), "Kicked by Console" )
end

vgui.Register( "qHUDPlayerKickButton", PANEL, "SpawnMenuAdminButton" )

/*   PlayerBanButton */

PANEL = {}
PANEL.Text = "Ban"

/*---------------------------------------------------------
   Name: DoCommand
---------------------------------------------------------*/
function PANEL:DoCommand( ply )
	local BanMenu = DermaMenu()
    BanMenu:AddOption( "10 min", function()
		RunConsoleCommand( "banid2", "10", ply:UserID() )
		RunConsoleCommand( "kickid2", ply:UserID(), "Banned for 10 minutes" )
	end )
    BanMenu:AddOption( "30 min", function()
		RunConsoleCommand( "banid2", "30", ply:UserID() )
		RunConsoleCommand( "kickid2", ply:UserID(), "Banned for 30 minutes" )
	end )
    BanMenu:AddOption( "1 hour", function()
		RunConsoleCommand( "banid2", "60", ply:UserID() )
		RunConsoleCommand( "kickid2", ply:UserID(), "Banned for 1 hour" )
	end )
    BanMenu:AddOption( "2 hours", function()
		RunConsoleCommand( "banid2", "120", ply:UserID() )
		RunConsoleCommand( "kickid2", ply:UserID(), "Banned for 2 hours" )
	end )
    BanMenu:AddOption( "1 day", function()
		RunConsoleCommand( "banid2", "1440", ply:UserID() )
		RunConsoleCommand( "kickid2", ply:UserID(), "Banned for 1 day" )
	end )
    BanMenu:Open()
end

vgui.Register( "qHUDPlayerBanButton", PANEL, "SpawnMenuAdminButton" )