
local On1 = CreateClientConVar( "qhud_cross_first", 1, true, true )
local On2 = CreateClientConVar( "qhud_cross_second", 1, true, true )

local Rotating1 = CreateClientConVar( "qhud_cross_rotating_first", -90, true, true )
local Rotating2 = CreateClientConVar( "qhud_cross_rotating_second", 45, true, true )

local a1 = 0
local a2 = 0

local function qHUDCrosshairDraw()
	if !LocalPlayer():Alive() then return end

	local cross1 = surface.GetTextureID( "qhud/qhud_first_crosshair" )
	local cross2 = surface.GetTextureID( "qhud/qhud_second_crosshair" )

	if( On1:GetInt() == 1 ) then
		a1 = math.Clamp( a1 + 1, 0, 255 )
	else
		a1 = math.Clamp( a1 - 1, 0, 255 )
	end

	if( On2:GetInt() == 1 ) then
		a2 = math.Clamp( a2 + 1, 0, 255 )
	else
		a2 = math.Clamp( a2 - 1, 0, 255 )
	end

	surface.SetTexture( cross1 )
	surface.SetDrawColor( 255, 255, 255, a1 )
	surface.DrawTexturedRectRotated( ScrW() / 2, ScrH() / 2, 37.5, 37.5, CurTime() * -Rotating1:GetInt() )

	surface.SetTexture( cross2 )
	surface.SetDrawColor( 255, 255, 255, a2 )
	surface.DrawTexturedRectRotated( ScrW() / 2, ScrH() / 2, 37.5, 37.5, CurTime() * -Rotating2:GetInt() )
end
hook.Add( "HUDPaint", "qHUDCrosshairDraw", qHUDCrosshairDraw )

local function qHUDHideCrosshair( hud )
	if( On1:GetInt() == 1 or On2:GetInt() == 1 ) then
		for k, v in pairs{ "CHudCrosshair" } do 
			if hud == v then 
				return false 
			end
		end 
	end
end
hook.Add( "HUDShouldDraw", "qHUDHideCrosshair", qHUDHideCrosshair )

