
local Browser

local function qHUDWeb()
	if( !Browser ) then
		Browser = vgui.Create( "DFrame" )
		Browser:SetPos( 100, 100 )
		Browser:SetSize( ScrW() - 200, ScrH() - 200 )
		Browser:SetTitle( "Web" )
		Browser:SetVisible( true )
		Browser:SetDraggable( true )
		Browser:SetSizable( false )
		Browser:ShowCloseButton( false )
		Browser:MakePopup()

		local HTML = vgui.Create( "HTML", Browser )
		HTML:Dock( FILL )
		HTML:OpenURL( "http://www.google.com" )
		HTML:InvalidateLayout()

		local HTMLControls = vgui.Create( "DHTMLControls", Browser )
		HTMLControls:Dock( TOP )
		HTMLControls:SetHTML( HTML )

		local Close = vgui.Create( "DSysButton", Browser )
		Close:SetSize( 16, 16 )
		Close:SetPos( Browser:GetWide() - Close:GetWide() - 3, 3 )
		Close:SetType( "close" )
		Close.DoClick = function()
			Browser:SetVisible( false )
		end
	else
		Browser:SetVisible( !Browser:IsVisible() );
	end
end
concommand.Add( "qhud_web", qHUDWeb )

